// POST /v1/passwords
const stytch = require('stytch');
const client = new stytch.Client({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
email: "sandbox@stytch.com",
password: "xuEvs9sBi8I4x8rCXJPZ",
session_duration_minutes: 60,
};
client.Passwords.Create(params)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });// POST /v1/passwords
package main
import (
"context"
"log"
"github.com/stytchauth/stytch-go/v18/stytch/consumer/passwords"
"github.com/stytchauth/stytch-go/v18/stytch/consumer/stytchapi"
)
func main() {
client, err := stytchapi.NewClient(
"${projectId}",
"${secret}",
)
if err != nil {
log.Fatalf("error instantiating client: %v", err)
}
params := &passwords.CreateParams{
Email: "sandbox@stytch.com",
Password: "xuEvs9sBi8I4x8rCXJPZ",
SessionDurationMinutes: 60,
}
resp, err := client.Passwords.Create(context.Background(), params)
if err != nil {
log.Fatalf("error in method call: %v", err)
}
log.Println(resp)
}
// POST /v1/passwords
package com.example;
import com.stytch.java.common.StytchResult;
import com.stytch.java.consumer.models.passwords.CreateRequest;
import com.stytch.java.consumer.StytchClient;
public class Main {
public static void main(String[] args) {
StytchClient.configure("${projectId}", "${secret}");
CreateRequest params = new CreateRequest();
params.setEmail("sandbox@stytch.com");
params.setPassword("xuEvs9sBi8I4x8rCXJPZ");
params.setSessionDurationMinutes(60);
Object result = StytchClient.getPasswords().create(params);
if (result instanceof StytchResult.Success) {
System.out.println(((StytchResult.Success) result).getValue());
} else {
System.out.println(((StytchResult.Error) result).getException());
}
}
}// POST /v1/passwords
package com.example
import com.stytch.java.consumer.StytchClient
import com.stytch.java.consumer.models.passwords.CreateRequest
fun main() {
StytchClient.configure(
projectId = "${projectId}",
secret = "${secret}",
)
when (
val result =
StytchClient.passwords.create(
CreateRequest(
email = "sandbox@stytch.com",
password = "xuEvs9sBi8I4x8rCXJPZ",
sessionDurationMinutes = 60,
),
)
) {
is StytchResult.Success -> println(result.value)
is StytchResult.Error -> println(result.exception)
}
}
// POST /v1/passwords
const stytch = require('stytch');
const client = new stytch.Client({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
email: "sandbox@stytch.com",
password: "xuEvs9sBi8I4x8rCXJPZ",
session_duration_minutes: 60,
};
client.passwords.create(params)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });$response = $client->passwords->create([
'email' => 'sandbox@stytch.com',
'password' => 'xuEvs9sBi8I4x8rCXJPZ',
'session_duration_minutes' => 60,
]);# POST /v1/passwords
from stytch import Client
client = Client(
project_id="${projectId}",
secret="${secret}",
)
resp = client.passwords.create(
email="sandbox@stytch.com",
password="xuEvs9sBi8I4x8rCXJPZ",
session_duration_minutes=60,
)
print(resp)
# frozen_string_literal: true
# POST /v1/passwords
require 'stytch'
client = Stytch::Client.new(
project_id: "${projectId}",
secret: "${secret}"
)
resp = client.passwords.create(
email: "sandbox@stytch.com",
password: "xuEvs9sBi8I4x8rCXJPZ",
session_duration_minutes: 60
)
puts resp// POST /v1/passwords
use stytch::consumer::client::Client;
use stytch::consumer::passwords::CreateRequest;
fn main() {
let client = Client::new("${projectId}", "${secret}").unwrap();
let resp = client.passwords.create(
CreateRequest{
email: "sandbox@stytch.com",
password: "xuEvs9sBi8I4x8rCXJPZ",
session_duration_minutes: 60,
..Default::default()
}
).await;
println!("The response is {:?}", resp);
}# POST /v1/passwords
curl --request POST \
--url https://test.stytch.com/v1/passwords \
-u '${projectId}:${secret}' \
-H 'Content-Type: application/json' \
-d '{
"email": "sandbox@stytch.com",
"password": "xuEvs9sBi8I4x8rCXJPZ",
"session_duration_minutes": 60
}'{
"request_id": "<string>",
"user_id": "<string>",
"email_id": "<string>",
"session_token": "<string>",
"session_jwt": "<string>",
"user": {
"user_id": "<string>",
"emails": [
{
"email_id": "<string>",
"email": "<string>",
"verified": true
}
],
"status": "<string>",
"phone_numbers": [
{
"phone_id": "<string>",
"phone_number": "<string>",
"verified": true
}
],
"webauthn_registrations": [
{
"webauthn_registration_id": "<string>",
"domain": "<string>",
"user_agent": "<string>",
"verified": true,
"authenticator_type": "<string>",
"name": "<string>"
}
],
"providers": [
{
"provider_type": "<string>",
"provider_subject": "<string>",
"profile_picture_url": "<string>",
"locale": "<string>",
"oauth_user_registration_id": "<string>"
}
],
"totps": [
{
"totp_id": "<string>",
"verified": true
}
],
"crypto_wallets": [
{
"crypto_wallet_id": "<string>",
"crypto_wallet_address": "<string>",
"crypto_wallet_type": "<string>",
"verified": true
}
],
"biometric_registrations": [
{
"biometric_registration_id": "<string>",
"verified": true
}
],
"is_locked": true,
"roles": [
"<string>"
],
"name": {
"first_name": "<string>",
"middle_name": "<string>",
"last_name": "<string>"
},
"created_at": "<string>",
"password": {
"password_id": "<string>",
"requires_reset": true
},
"trusted_metadata": {},
"untrusted_metadata": {},
"external_id": "<string>",
"lock_created_at": "<string>",
"lock_expires_at": "<string>"
},
"status_code": 123,
"session": {
"session_id": "<string>",
"user_id": "<string>",
"authentication_factors": [
{
"type": "magic_link",
"delivery_method": "email",
"last_authenticated_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"email_factor": {
"email_id": "<string>",
"email_address": "<string>"
},
"phone_number_factor": {
"phone_id": "<string>",
"phone_number": "<string>"
},
"google_oauth_factor": {
"id": "<string>",
"provider_subject": "<string>",
"email_id": "<string>"
},
"microsoft_oauth_factor": {
"id": "<string>",
"provider_subject": "<string>",
"email_id": "<string>"
},
"apple_oauth_factor": {
"id": "<string>",
"provider_subject": "<string>",
"email_id": "<string>"
},
"webauthn_factor": {
"webauthn_registration_id": "<string>",
"domain": "<string>",
"user_agent": "<string>"
},
"authenticator_app_factor": {
"totp_id": "<string>"
},
"github_oauth_factor": {
"id": "<string>",
"provider_subject": "<string>",
"email_id": "<string>"
},
"recovery_code_factor": {
"totp_recovery_code_id": "<string>"
},
"facebook_oauth_factor": {
"id": "<string>",
"provider_subject": "<string>",
"email_id": "<string>"
},
"crypto_wallet_factor": {
"crypto_wallet_id": "<string>",
"crypto_wallet_address": "<string>",
"crypto_wallet_type": "<string>"
},
"amazon_oauth_factor": {
"id": "<string>",
"provider_subject": "<string>",
"email_id": "<string>"
},
"bitbucket_oauth_factor": {
"id": "<string>",
"provider_subject": "<string>",
"email_id": "<string>"
},
"coinbase_oauth_factor": {
"id": "<string>",
"provider_subject": "<string>",
"email_id": "<string>"
},
"discord_oauth_factor": {
"id": "<string>",
"provider_subject": "<string>",
"email_id": "<string>"
},
"figma_oauth_factor": {
"id": "<string>",
"provider_subject": "<string>",
"email_id": "<string>"
},
"git_lab_oauth_factor": {
"id": "<string>",
"provider_subject": "<string>",
"email_id": "<string>"
},
"instagram_oauth_factor": {
"id": "<string>",
"provider_subject": "<string>",
"email_id": "<string>"
},
"linked_in_oauth_factor": {
"id": "<string>",
"provider_subject": "<string>",
"email_id": "<string>"
},
"shopify_oauth_factor": {
"id": "<string>",
"provider_subject": "<string>",
"email_id": "<string>"
},
"slack_oauth_factor": {
"id": "<string>",
"provider_subject": "<string>",
"email_id": "<string>"
},
"snapchat_oauth_factor": {
"id": "<string>",
"provider_subject": "<string>",
"email_id": "<string>"
},
"spotify_oauth_factor": {
"id": "<string>",
"provider_subject": "<string>",
"email_id": "<string>"
},
"steam_oauth_factor": {
"id": "<string>",
"provider_subject": "<string>",
"email_id": "<string>"
},
"tik_tok_oauth_factor": {
"id": "<string>",
"provider_subject": "<string>",
"email_id": "<string>"
},
"twitch_oauth_factor": {
"id": "<string>",
"provider_subject": "<string>",
"email_id": "<string>"
},
"twitter_oauth_factor": {
"id": "<string>",
"provider_subject": "<string>",
"email_id": "<string>"
},
"embeddable_magic_link_factor": {
"embedded_id": "<string>"
},
"biometric_factor": {
"biometric_registration_id": "<string>"
},
"saml_sso_factor": {
"id": "<string>",
"provider_id": "<string>",
"external_id": "<string>"
},
"oidc_sso_factor": {
"id": "<string>",
"provider_id": "<string>",
"external_id": "<string>"
},
"salesforce_oauth_factor": {
"id": "<string>",
"provider_subject": "<string>",
"email_id": "<string>"
},
"yahoo_oauth_factor": {
"id": "<string>",
"provider_subject": "<string>",
"email_id": "<string>"
},
"hubspot_oauth_factor": {
"id": "<string>",
"provider_subject": "<string>",
"email_id": "<string>"
},
"slack_oauth_exchange_factor": {
"email_id": "<string>"
},
"hubspot_oauth_exchange_factor": {
"email_id": "<string>"
},
"github_oauth_exchange_factor": {
"email_id": "<string>"
},
"google_oauth_exchange_factor": {
"email_id": "<string>"
},
"impersonated_factor": {
"impersonator_id": "<string>",
"impersonator_email_address": "<string>"
},
"oauth_access_token_exchange_factor": {
"client_id": "<string>"
},
"trusted_auth_token_factor": {
"token_id": "<string>"
}
}
],
"roles": [
"<string>"
],
"started_at": "<string>",
"last_accessed_at": "<string>",
"expires_at": "<string>",
"attributes": {
"ip_address": "<string>",
"user_agent": "<string>"
},
"custom_claims": {}
},
"user_device": {
"visitor_id": "<string>",
"visitor_id_details": {
"is_new": true,
"first_seen_at": "<string>",
"last_seen_at": "<string>"
},
"ip_address": "<string>",
"ip_address_details": {
"is_new": true,
"first_seen_at": "<string>",
"last_seen_at": "<string>"
},
"ip_geo_city": "<string>",
"ip_geo_region": "<string>",
"ip_geo_country": "<string>",
"ip_geo_country_details": {
"is_new": true,
"first_seen_at": "<string>",
"last_seen_at": "<string>"
}
}
}{
"status_code": 401,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "unauthorized_credentials",
"error_message": "Unauthorized credentials.",
"error_url": "https://stytch.com/docs/api/errors/401"
}{
"status_code": 429,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "too_many_requests",
"error_message": "Too many requests have been made.",
"error_url": "https://stytch.com/docs/api/errors/429"
}{
"status_code": 500,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "internal_server_error",
"error_message": "Oops, something seems to have gone wrong, please reach out to support@stytch.com to let us know what went wrong.",
"error_url": "https://stytch.com/docs/api/errors/500"
}Create
Create a new user with a password.
// POST /v1/passwords
const stytch = require('stytch');
const client = new stytch.Client({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
email: "sandbox@stytch.com",
password: "xuEvs9sBi8I4x8rCXJPZ",
session_duration_minutes: 60,
};
client.Passwords.Create(params)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });// POST /v1/passwords
package main
import (
"context"
"log"
"github.com/stytchauth/stytch-go/v18/stytch/consumer/passwords"
"github.com/stytchauth/stytch-go/v18/stytch/consumer/stytchapi"
)
func main() {
client, err := stytchapi.NewClient(
"${projectId}",
"${secret}",
)
if err != nil {
log.Fatalf("error instantiating client: %v", err)
}
params := &passwords.CreateParams{
Email: "sandbox@stytch.com",
Password: "xuEvs9sBi8I4x8rCXJPZ",
SessionDurationMinutes: 60,
}
resp, err := client.Passwords.Create(context.Background(), params)
if err != nil {
log.Fatalf("error in method call: %v", err)
}
log.Println(resp)
}
// POST /v1/passwords
package com.example;
import com.stytch.java.common.StytchResult;
import com.stytch.java.consumer.models.passwords.CreateRequest;
import com.stytch.java.consumer.StytchClient;
public class Main {
public static void main(String[] args) {
StytchClient.configure("${projectId}", "${secret}");
CreateRequest params = new CreateRequest();
params.setEmail("sandbox@stytch.com");
params.setPassword("xuEvs9sBi8I4x8rCXJPZ");
params.setSessionDurationMinutes(60);
Object result = StytchClient.getPasswords().create(params);
if (result instanceof StytchResult.Success) {
System.out.println(((StytchResult.Success) result).getValue());
} else {
System.out.println(((StytchResult.Error) result).getException());
}
}
}// POST /v1/passwords
package com.example
import com.stytch.java.consumer.StytchClient
import com.stytch.java.consumer.models.passwords.CreateRequest
fun main() {
StytchClient.configure(
projectId = "${projectId}",
secret = "${secret}",
)
when (
val result =
StytchClient.passwords.create(
CreateRequest(
email = "sandbox@stytch.com",
password = "xuEvs9sBi8I4x8rCXJPZ",
sessionDurationMinutes = 60,
),
)
) {
is StytchResult.Success -> println(result.value)
is StytchResult.Error -> println(result.exception)
}
}
// POST /v1/passwords
const stytch = require('stytch');
const client = new stytch.Client({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
email: "sandbox@stytch.com",
password: "xuEvs9sBi8I4x8rCXJPZ",
session_duration_minutes: 60,
};
client.passwords.create(params)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });$response = $client->passwords->create([
'email' => 'sandbox@stytch.com',
'password' => 'xuEvs9sBi8I4x8rCXJPZ',
'session_duration_minutes' => 60,
]);# POST /v1/passwords
from stytch import Client
client = Client(
project_id="${projectId}",
secret="${secret}",
)
resp = client.passwords.create(
email="sandbox@stytch.com",
password="xuEvs9sBi8I4x8rCXJPZ",
session_duration_minutes=60,
)
print(resp)
# frozen_string_literal: true
# POST /v1/passwords
require 'stytch'
client = Stytch::Client.new(
project_id: "${projectId}",
secret: "${secret}"
)
resp = client.passwords.create(
email: "sandbox@stytch.com",
password: "xuEvs9sBi8I4x8rCXJPZ",
session_duration_minutes: 60
)
puts resp// POST /v1/passwords
use stytch::consumer::client::Client;
use stytch::consumer::passwords::CreateRequest;
fn main() {
let client = Client::new("${projectId}", "${secret}").unwrap();
let resp = client.passwords.create(
CreateRequest{
email: "sandbox@stytch.com",
password: "xuEvs9sBi8I4x8rCXJPZ",
session_duration_minutes: 60,
..Default::default()
}
).await;
println!("The response is {:?}", resp);
}# POST /v1/passwords
curl --request POST \
--url https://test.stytch.com/v1/passwords \
-u '${projectId}:${secret}' \
-H 'Content-Type: application/json' \
-d '{
"email": "sandbox@stytch.com",
"password": "xuEvs9sBi8I4x8rCXJPZ",
"session_duration_minutes": 60
}'{
"request_id": "<string>",
"user_id": "<string>",
"email_id": "<string>",
"session_token": "<string>",
"session_jwt": "<string>",
"user": {
"user_id": "<string>",
"emails": [
{
"email_id": "<string>",
"email": "<string>",
"verified": true
}
],
"status": "<string>",
"phone_numbers": [
{
"phone_id": "<string>",
"phone_number": "<string>",
"verified": true
}
],
"webauthn_registrations": [
{
"webauthn_registration_id": "<string>",
"domain": "<string>",
"user_agent": "<string>",
"verified": true,
"authenticator_type": "<string>",
"name": "<string>"
}
],
"providers": [
{
"provider_type": "<string>",
"provider_subject": "<string>",
"profile_picture_url": "<string>",
"locale": "<string>",
"oauth_user_registration_id": "<string>"
}
],
"totps": [
{
"totp_id": "<string>",
"verified": true
}
],
"crypto_wallets": [
{
"crypto_wallet_id": "<string>",
"crypto_wallet_address": "<string>",
"crypto_wallet_type": "<string>",
"verified": true
}
],
"biometric_registrations": [
{
"biometric_registration_id": "<string>",
"verified": true
}
],
"is_locked": true,
"roles": [
"<string>"
],
"name": {
"first_name": "<string>",
"middle_name": "<string>",
"last_name": "<string>"
},
"created_at": "<string>",
"password": {
"password_id": "<string>",
"requires_reset": true
},
"trusted_metadata": {},
"untrusted_metadata": {},
"external_id": "<string>",
"lock_created_at": "<string>",
"lock_expires_at": "<string>"
},
"status_code": 123,
"session": {
"session_id": "<string>",
"user_id": "<string>",
"authentication_factors": [
{
"type": "magic_link",
"delivery_method": "email",
"last_authenticated_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"email_factor": {
"email_id": "<string>",
"email_address": "<string>"
},
"phone_number_factor": {
"phone_id": "<string>",
"phone_number": "<string>"
},
"google_oauth_factor": {
"id": "<string>",
"provider_subject": "<string>",
"email_id": "<string>"
},
"microsoft_oauth_factor": {
"id": "<string>",
"provider_subject": "<string>",
"email_id": "<string>"
},
"apple_oauth_factor": {
"id": "<string>",
"provider_subject": "<string>",
"email_id": "<string>"
},
"webauthn_factor": {
"webauthn_registration_id": "<string>",
"domain": "<string>",
"user_agent": "<string>"
},
"authenticator_app_factor": {
"totp_id": "<string>"
},
"github_oauth_factor": {
"id": "<string>",
"provider_subject": "<string>",
"email_id": "<string>"
},
"recovery_code_factor": {
"totp_recovery_code_id": "<string>"
},
"facebook_oauth_factor": {
"id": "<string>",
"provider_subject": "<string>",
"email_id": "<string>"
},
"crypto_wallet_factor": {
"crypto_wallet_id": "<string>",
"crypto_wallet_address": "<string>",
"crypto_wallet_type": "<string>"
},
"amazon_oauth_factor": {
"id": "<string>",
"provider_subject": "<string>",
"email_id": "<string>"
},
"bitbucket_oauth_factor": {
"id": "<string>",
"provider_subject": "<string>",
"email_id": "<string>"
},
"coinbase_oauth_factor": {
"id": "<string>",
"provider_subject": "<string>",
"email_id": "<string>"
},
"discord_oauth_factor": {
"id": "<string>",
"provider_subject": "<string>",
"email_id": "<string>"
},
"figma_oauth_factor": {
"id": "<string>",
"provider_subject": "<string>",
"email_id": "<string>"
},
"git_lab_oauth_factor": {
"id": "<string>",
"provider_subject": "<string>",
"email_id": "<string>"
},
"instagram_oauth_factor": {
"id": "<string>",
"provider_subject": "<string>",
"email_id": "<string>"
},
"linked_in_oauth_factor": {
"id": "<string>",
"provider_subject": "<string>",
"email_id": "<string>"
},
"shopify_oauth_factor": {
"id": "<string>",
"provider_subject": "<string>",
"email_id": "<string>"
},
"slack_oauth_factor": {
"id": "<string>",
"provider_subject": "<string>",
"email_id": "<string>"
},
"snapchat_oauth_factor": {
"id": "<string>",
"provider_subject": "<string>",
"email_id": "<string>"
},
"spotify_oauth_factor": {
"id": "<string>",
"provider_subject": "<string>",
"email_id": "<string>"
},
"steam_oauth_factor": {
"id": "<string>",
"provider_subject": "<string>",
"email_id": "<string>"
},
"tik_tok_oauth_factor": {
"id": "<string>",
"provider_subject": "<string>",
"email_id": "<string>"
},
"twitch_oauth_factor": {
"id": "<string>",
"provider_subject": "<string>",
"email_id": "<string>"
},
"twitter_oauth_factor": {
"id": "<string>",
"provider_subject": "<string>",
"email_id": "<string>"
},
"embeddable_magic_link_factor": {
"embedded_id": "<string>"
},
"biometric_factor": {
"biometric_registration_id": "<string>"
},
"saml_sso_factor": {
"id": "<string>",
"provider_id": "<string>",
"external_id": "<string>"
},
"oidc_sso_factor": {
"id": "<string>",
"provider_id": "<string>",
"external_id": "<string>"
},
"salesforce_oauth_factor": {
"id": "<string>",
"provider_subject": "<string>",
"email_id": "<string>"
},
"yahoo_oauth_factor": {
"id": "<string>",
"provider_subject": "<string>",
"email_id": "<string>"
},
"hubspot_oauth_factor": {
"id": "<string>",
"provider_subject": "<string>",
"email_id": "<string>"
},
"slack_oauth_exchange_factor": {
"email_id": "<string>"
},
"hubspot_oauth_exchange_factor": {
"email_id": "<string>"
},
"github_oauth_exchange_factor": {
"email_id": "<string>"
},
"google_oauth_exchange_factor": {
"email_id": "<string>"
},
"impersonated_factor": {
"impersonator_id": "<string>",
"impersonator_email_address": "<string>"
},
"oauth_access_token_exchange_factor": {
"client_id": "<string>"
},
"trusted_auth_token_factor": {
"token_id": "<string>"
}
}
],
"roles": [
"<string>"
],
"started_at": "<string>",
"last_accessed_at": "<string>",
"expires_at": "<string>",
"attributes": {
"ip_address": "<string>",
"user_agent": "<string>"
},
"custom_claims": {}
},
"user_device": {
"visitor_id": "<string>",
"visitor_id_details": {
"is_new": true,
"first_seen_at": "<string>",
"last_seen_at": "<string>"
},
"ip_address": "<string>",
"ip_address_details": {
"is_new": true,
"first_seen_at": "<string>",
"last_seen_at": "<string>"
},
"ip_geo_city": "<string>",
"ip_geo_region": "<string>",
"ip_geo_country": "<string>",
"ip_geo_country_details": {
"is_new": true,
"first_seen_at": "<string>",
"last_seen_at": "<string>"
}
}
}{
"status_code": 401,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "unauthorized_credentials",
"error_message": "Unauthorized credentials.",
"error_url": "https://stytch.com/docs/api/errors/401"
}{
"status_code": 429,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "too_many_requests",
"error_message": "Too many requests have been made.",
"error_url": "https://stytch.com/docs/api/errors/429"
}{
"status_code": 500,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "internal_server_error",
"error_message": "Oops, something seems to have gone wrong, please reach out to support@stytch.com to let us know what went wrong.",
"error_url": "https://stytch.com/docs/api/errors/500"
}session_duration_minutes is specified, a new session will be started as well.
If a user with this email already exists in your Stytch project, this endpoint will return a duplicate_email error. To add a password to an existing passwordless user, you’ll need to either call the Migrate password endpoint or prompt the user to complete one of our password reset flows.
This endpoint will return an error if the password provided does not meet our strength requirements, which you can check beforehand via the Password strength check endpoint.
When creating new Passwords users, it’s good practice to enforce an email verification flow. See the Email verification guide for more information.Authorizations
Body
Request type
Set the session lifetime to be this many minutes from now. This will start a new session if one doesn't already exist,
returning both an opaque session_token and session_jwt for this session. Remember that the session_jwt will have a fixed lifetime of
five minutes regardless of the underlying session duration, and will need to be refreshed over time.
This value must be a minimum of 5 and a maximum of 527040 minutes (366 days).
If a session_token or session_jwt is provided then a successful authentication will continue to extend the session this many minutes.
If the session_duration_minutes parameter is not specified, a Stytch session will not be created.
Add a custom claims map to the Session being authenticated. Claims are only created if a Session is initialized by providing a value in session_duration_minutes. Claims will be included on the Session object and in the JWT. To update a key in an existing Session, supply a new value. To delete a key, supply a null value.
Custom claims made with reserved claims ("iss", "sub", "aud", "exp", "nbf", "iat", "jti") will be ignored. Total custom claims size cannot exceed four kilobytes.
The trusted_metadata field contains an arbitrary JSON object of application-specific data. See the Metadata reference for complete field behavior details.
The untrusted_metadata field contains an arbitrary JSON object of application-specific data. Untrusted metadata can be edited by end users directly via the SDK, and cannot be used to store critical information. See the Metadata reference for complete field behavior details.
If the telemetry_id is passed, as part of this request, Stytch will call the Fingerprint Lookup API and store the associated fingerprints and IPGEO information for the User. Your workspace must be enabled for Device Fingerprinting to use this feature.
Response
Successful response
The user object affected by this API call. See the Get user endpoint for complete response field details.
Show child attributes
Show child attributes
If you initiate a Session, by including session_duration_minutes in your authenticate call, you'll receive a full Session object in the response.
See Session object for complete response fields.
Show child attributes
Show child attributes
If a valid telemetry_id was passed in the request and the Fingerprint Lookup API returned results, the user_device response field will contain information about the user's device attributes.
Show child attributes
Show child attributes